function pcp=arc1(n)
nq=floor(n/6);
n=6*nq;
nqh=2*nq;
pcp=zeros(n,3);
q1=((0:nq-1)/nq)';
q1h=((0:nqh-1)/nqh)';
q2=ones(nq,1);
q2h=ones(nqh,1);
pcp(1:nq,1)=0.5*(1-q1);
pcp(nq+1:2*nq,1)=1-q2;
pcp(2*nq+1:3*nq,1)=1-q2;
pcp(3*nq+1:4*nq,1)=q1;
pcp(4*nq+1:4*nq+nqh,1)=q2h;
pcp(1:nq,2)=1-q2;
pcp(nq+1:2*nq,2)=q1;
pcp(2*nq+1:3*nq,2)=0.2*(1-q1)+0.8;
pcp(3*nq+1:4*nq,2)=0.2*(q1)+0.8;
pcp(4*nq+1:4*nq+nqh,2)=1-q1h;
pcp(1:nq,3)=0.5*q1+0.5;
pcp(nq+1:2*nq,3)=q2;
pcp(2*nq+1:3*nq,3)=1-q1;
pcp(3*nq+1:4*nq,3)=1-q2;
pcp(4*nq+1:4*nq+nqh,3)=1-q2h;
pcp(n,:)=[1,0,0];
endfunction

function pcp=arc2(n)
nq=floor(n/4);
n=4*nq;
pcp=zeros(n,3);
q1=((0:nq-1)/nq)';
q2=ones(nq,1);
q3=ones(pcp);
//q3(1:2*nq,:)=(1:2*nq)'*ones(1,3)/(4*nq)+0.5;
pcp(1:nq,1)=1-q2;
pcp(nq+1:2*nq,1)=1-q2;
pcp(2*nq+1:3*nq,1)=q1;
pcp(3*nq+1:4*nq,1)=q2;
pcp(1:nq,2)=q1;
pcp(nq+1:2*nq,2)=0.2*(1-q1)+0.8;
pcp(2*nq+1:3*nq,2)=0.2*(q1)+0.8;
pcp(3*nq+1:4*nq,2)=1-q1;
pcp(1:nq,3)=q2;
pcp(nq+1:2*nq,3)=1-q1;
pcp(2*nq+1:3*nq,3)=1-q2;
pcp(3*nq+1:4*nq,3)=1-q2;
pcp=[pcp;1,0,0];
endfunction

function pcp=arc3(n)
nq=floor(n/6);
n=6*nq;
nqh=2*nq
pcp=zeros(n,3);
q1=((0:nq-1)/nq)';
q1h=((0:nqh-1)/nqh)';
q2=ones(nq,1);
q2h=ones(nqh,1);
pcp(1:nq,1)=1-q2;
pcp(nq+1:2*nq,1)=1-q2;
pcp(2*nq+1:3*nq,1)=1-q2;
pcp(3*nq+1:4*nq,1)=q1;
pcp(4*nq+1:4*nq+nqh,1)=q2h;
pcp(1:nq,2)=1-q2;
pcp(nq+1:2*nq,2)=q1;
pcp(2*nq+1:3*nq,2)=0.2*(1-q1)+0.8;
pcp(3*nq+1:4*nq,2)=0.2*q1+0.8;
pcp(4*nq+1:4*nq+nqh,2)=1-q1h;
pcp(1:nq,3)=q1;
pcp(nq+1:2*nq,3)=q2;
pcp(2*nq+1:3*nq,3)=1-q1;
pcp(3*nq+1:4*nq,3)=1-q2;
pcp(4*nq+1:4*nq+nqh,3)=1-q2h;
pcp(n,:)=[1,0,0];
endfunction
